For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • GETGet KYC Requirement
      • GETGet Additional Requirements
      • GETGet KYC - IdProof Status
      • PATCHPatch User Details
      • POSTUpdate Purpose Of Usage
      • POSTSubmit SSN
      • POSTSubmit Source of Income
      • POSTUpload Proof Document
Dashboard
LogoLogo
TRANSAK WHITELABEL APIKYC

Patch User Details

||View as Markdown|
PATCH
https://api-gateway-stg.transak.com/api/v2/kyc/user
PATCH
/api/v2/kyc/user
$curl -X PATCH "https://api-gateway-stg.transak.com/api/v2/kyc/user?apiKey=" \
> -H "Content-Type: application/json" \
> -d '{
> "personalDetails": {
> "firstName": "John",
> "lastName": "Doe",
> "mobileNumber": "+14155552671",
> "dob": "1990-05-15T00:00:00.000Z"
> },
> "addressDetails": {
> "addressLine1": "123 Maple Street",
> "state": "California",
> "city": "San Francisco",
> "postCode": "94107",
> "countryCode": "US"
> }
>}'
1{
2 "data": {
3 "partnerUserId": "ab6ed909-ccc4-49a4-849f-bffd83840daa",
4 "firstName": "John",
5 "lastName": "Doe",
6 "email": "john.doe@example.com",
7 "mobileNumber": "+14155552671",
8 "status": "ACTIVE",
9 "dob": "1990-05-15T00:00:00.000Z",
10 "kyc": {
11 "status": "NOT_SUBMITTED",
12 "type": null
13 },
14 "address": {
15 "addressLine1": "123 Maple Street",
16 "addressLine2": "Apt 4B",
17 "state": "California",
18 "city": "San Francisco",
19 "postCode": "94107",
20 "country": "United States",
21 "countryCode": "US"
22 }
23 }
24}
The **Patch User Details** for **Personal Details and Address details** is an **authenticated API call** that allows updating a user’s **personal and address details**. The response follows the **same schema as** `getUser()`, returning the updated user profile. The **fields that can be updated** via patchUser include: - **Personal Details:** firstName, lastName, mobileNumber, dob - **Address Details**: addressLine1, addressLine2, state, city, postCode, countryCode Any modifications to user data must comply with **KYC requirements**, and certain updates may require the user to re-submit verification documents. **Note:** 1. If a country does not have a state, the country name can be passed (e.g. Dubai). 2. If a country does not have a postal code, the postal code can be passed as `000000`.
Was this page helpful?
Previous

Get KYC - IdProof Status

Next

Update Purpose Of Usage

Built with

The Patch User Details for Personal Details and Address details is an authenticated API call that allows updating a user’s personal and address details. The response follows the same schema as getUser(), returning the updated user profile.

The fields that can be updated via patchUser include:

  • Personal Details: firstName, lastName, mobileNumber, dob

  • Address Details: addressLine1, addressLine2, state, city, postCode, countryCode

Any modifications to user data must comply with KYC requirements, and certain updates may require the user to re-submit verification documents.

Note:

  1. If a country does not have a state, the country name can be passed (e.g. Dubai).

  2. If a country does not have a postal code, the postal code can be passed as 000000.

Headers

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Query parameters

apiKeystringRequired
Your API Key from Transak Dashboard

Request

This endpoint expects an object.
personalDetailsobjectRequired
addressDetailsobjectRequired

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error